Bug 490508 - (perl-Best) Review Request: perl-Best - Fallbackable module loader
Review Request: perl-Best - Fallbackable module loader
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Best
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 14:43 EDT by Chris Weyl
Modified: 2009-03-18 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 18:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-16 14:43:59 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Best.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Best-0.12-1.fc10.src.rpm

Description:
Often there are several possible providers of some functionality your
program needs, but you don't know which is available at the run site.
For example, one of the modules may be implemented with XS, or not in
the core Perl distribution and thus not necessarily installed.*Best*
attempts to load modules from a list, stopping at the first successful
load and failing only if no alternative was found.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1236078

*rt-0.06
Comment 1 Parag AN(पराग) 2009-03-17 00:25:02 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1236078
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0af7afb378e3f8cac5c7af0bf75cfffa  Best-0.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=23, Tests=101,  1 wallclock secs ( 0.13 usr  0.07 sys +  1.17 cusr  0.25 csys =  1.62 CPU)
+ Package perl-Best-0.12-1.fc11.noarch =>
  Provides: perl(Best) = 0.12
  Requires: perl >= 0:5.006 perl(constant) perl(overload) perl(strict) perl(warnings)

APPROVED.
Comment 2 Chris Weyl 2009-03-17 00:38:31 EDT
New Package CVS Request
=======================
Package Name: perl-Best
Short Description: Fallbackable module loader
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-17 01:26:50 EDT
cvs done.
Comment 4 Chris Weyl 2009-03-18 18:56:17 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.